Summary:    Mellanox firmware burning tool
Name:       mstflint
Version:    4.24.0
Release:    6%{?dist}
License:    GPLv2+ or BSD
Url:        https://github.com/Mellanox/%{name}
Source0:    %{url}/releases/download/v%{version}-1/%{name}-%{version}-1.tar.gz

Patch3000:  add-default-link-flags-for-shared-libraries.patch
Patch3001:  replace-mlxfwreset-with-mstfwreset-in-mstflint-message.patch
Patch3002:  0001-mstflint-4.24.0-add-support-for-loongarch64.patch

BuildRequires: libstdc++-devel zlib-devel libibmad-devel gcc-c++ gcc make
BuildRequires: libcurl-devel boost-devel libxml2-devel openssl-devel libtool autoconf automake
Requires:    python3

%description
This package contains firmware update tool, vpd dump and register dump tools for network adapters
based on Mellanox Technologies chips.

%prep
%autosetup -n %{name}-%{version} -p1
find . -type f -iname '*.[ch]' -exec chmod a-x '{}' ';'
find . -type f -iname '*.cpp' -exec chmod a-x '{}' ';'

%build
./autogen.sh
%configure \
    --enable-fw-mgr \
    --enable-adb-generic-tool \
    %{nil}
%make_build

%install
%make_install

rm -fr %{buildroot}%{_includedir}
find %{buildroot} -type f -name '*.la' -delete
find %{buildroot} -type f -name '*.a' -delete

%files
%doc README
%{_sysconfdir}/mstflint
%_bindir/*
%{_libdir}/mstflint
%{_datadir}/mstflint
%{_mandir}/man1/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.24.0-6
- Rebuilt for loongarch release

* Fri May 10 2024 Pengda Dou <doupengda@loongson.cn> - 4.24.0-5
- [Type] other
- [DESC] add support for loongarch64

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 4.24.0-4
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.24.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 4.24.0-2
- Rebuilt for boost 1.82.0

* Mon Jul 10 2023 Shuo Wang <abushwang@tencent.com> - 4.24.0-1
- update to 4.24.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.21.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.21.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 4.21.0-1
- initial build
